Subject: RE: [rohc] RFC 3095 question: RX context update rules for CSRC li sts

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Tue, 9 Sep 2003 13:59:24 +0200

Some more late answers!

Personally, I believe this is clear from 3095, but see comments below.
We might add some notes to the impl. guide, if needed.

/L-E

> -----Original Message-----
> From: Alan Kennington [mailto:[email-masked]]
> Sent: den 7 juni 2003 05:08
> To: ROHC mailing list
> Subject: [rohc] RFC 3095 question: RX context update rules for CSRC
> lists
> 
> 
> I'm having difficulty getting complete clarity on exactly what is and
> isn't updated for CSRC lists, CSRC sliding windows and CSRC 
> translation tables in the decompressor (RX) context for profile 0x0001
> in RFC 3095. There is some attempt at clarification in the ROHC
> Implementer's guide, version 2, 4.15, page 9, but this confuses me
> even more.

> Event: Arrival of UO-1-ID packet with extension 3 containing CSRC list
> using generic encoding 0 or delta encodings 1, 2 or 3.
> If the CRC-3 fails, the complete packet is discarded and ignored.

YES, a CRC failure should cause the packet to be discarded.

> Event: Arrival of R-1* packet with extension 3 containing CSRC list
> using generic encoding 0 or delta encodings 1, 2 or 3.
> -       The received CSRC list is used to construct a header
>         for the payload.
> -       The current CSRC list is _not_ updated by the received list.
> -       The received CSRC list is _not_ inserted into thes
>         sliding window.
> -       Any (index, item) pairs in the CSRC list do _not_ update the
>         CSRC translation table?
> -       An ACK is _not_ required in any mode.
> In other words, absolutely nothing in the RX context is updated.

Correct!

> But the Implementer's guide, 4.15, could be taken to imply that the
> CSRC translation table _is_ updated, even though there is no CRC.

Well, I do not think so....see the section title of 4.15 (now 4.3.4)
"CSRC list in UO-1-ID packets"

> Event: Arrival of UOR-2* packet with extension 3 containing CSRC list
> using generic encoding 0 or delta encodings 1, 2 or 3.
> If the CRC-7 fails, the complete packet is discarded and ignored.

Yes, if reconstruction is not attempted successfully.

> Event: Arrival of IR (containing dynamic fields) or IR-DYN packet
> containing CSRC list using generic encoding 0.
> If the CRC-8 fails, the complete packet is discarded and ignored.

Yes!

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc